> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Workflow

> This endpoint runs a workflow that uses a **Webhook Trigger.** Note that this endpoint should not be used to invoke a workflow that has a Custom Event. If you have defined a custom JSON body for the webhook trigger, it should be passed into the `data` body parameter.



## OpenAPI

````yaml post /run/workflow
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /run/workflow:
    post:
      summary: Run Workflow
      description: >-
        This endpoint runs a workflow that uses a **Webhook Trigger.** Note that
        this endpoint should not be used to invoke a workflow that has a Custom
        Event. If you have defined a custom JSON body for the webhook trigger,
        it should be passed into the `data` body parameter.
      operationId: run-workflow
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - userId
                - workflowId
                - workflowName
                - data
              properties:
                workflowName:
                  type: string
                  description: The name of the workflow to run.
                workflowId:
                  type: string
                  description: >-
                    The Id of the workflow to activate. If you pass this
                    parameter, then `workflowName` is not required.
                userId:
                  type: string
                  description: >-
                    The Id of the user you want to lookup. Returned from the
                    Create User endpoint. Note: you can also use the Embedded
                    user's `username` in this field.
                data:
                  type: object
                  description: >-
                    The key-value pairs you want to send as defined in the
                    webhook trigger. This data will be used in expressions
                    during the workflow execution.
                  example:
                    key: value
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: success
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````